summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Thiago Coutinho2010-05-11 22:53:32 +0200
committer Michiel van Wessem2010-05-11 22:53:32 +0200
commita482db8c57b19dee1b9fa8f673cd8d350455ef9d (patch)
tree10dd8713ca64f724e8e5c6c2d3f3e90cc5db7029 /development
parent179a2c0fdb42db3680ea0e51e4b396eced3eab73 (diff)
downloadslackbuilds-a482db8c57b19dee1b9fa8f673cd8d350455ef9d.tar.gz
development/io: Added to 12.1 repository
Diffstat (limited to 'development')
-rw-r--r--development/io/README1
-rw-r--r--development/io/io.SlackBuild60
-rw-r--r--development/io/io.info8
-rw-r--r--development/io/slack-desc19
4 files changed, 88 insertions, 0 deletions
diff --git a/development/io/README b/development/io/README
new file mode 100644
index 0000000000..62736d9419
--- /dev/null
+++ b/development/io/README
@@ -0,0 +1 @@
+io is a small, prototype-based programming language.
diff --git a/development/io/io.SlackBuild b/development/io/io.SlackBuild
new file mode 100644
index 0000000000..a1e7648cb8
--- /dev/null
+++ b/development/io/io.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for the io language
+# Written by Thiago Coutinho <thiagocoutinho1[@]gmail.com>
+
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=io
+VERSION=2008.03.30
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf stevedekorte-io-*
+tar xvf $CWD/stevedekorte-io-*.tar.gz
+cd stevedekorte-io-*
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ make vm \
+ INSTALL_PREFIX=$PKG/usr
+make install \
+ INSTALL_PREFIX=$PKG/usr
+
+# Wow. That's all I'll say. --rworkman
+# These are the same file - 2.7 MB each...
+cd $PKG/usr/bin
+ rm -f libiovmall.so
+ ln -s /usr/lib/libiovmall.so .
+cd -
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/io/io.info b/development/io/io.info
new file mode 100644
index 0000000000..311b360fdd
--- /dev/null
+++ b/development/io/io.info
@@ -0,0 +1,8 @@
+PRGNAM="io"
+VERSION="2008.03.30"
+HOMEPAGE="http://iolanguage.com"
+DOWNLOAD="http://github.com/tarballs/stevedekorte-io-4debb4b25740b8dd46ad16f43f04f0fc5b4a23e1.tar.gz"
+MD5SUM="fbf7dc8a8d37bf2f21c99618c8a4e6e4"
+MAINTAINER="Thiago Coutinho"
+EMAIL="thiagocoutinho1@gmail.com"
+APPROVED="Michiel,rworkman"
diff --git a/development/io/slack-desc b/development/io/slack-desc
new file mode 100644
index 0000000000..1ae0c48f27
--- /dev/null
+++ b/development/io/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+io: io (small, prototype-based programming language)
+io:
+io: Inspired by Smalltalk (values are objects, messages are dynamic),
+io: Self (prototype-based), NewtonScript (differential inheritance),
+io: Act1 (actors and futures for concurrency), LISP (code is a runtime
+io: inspectable/modifiable tree) and Lua (small, embeddable).
+io:
+io: Features: small vm (~10K semicolons), multi-state (multiple VMs run
+io: in the same process), incremental collector, weak links, actor-based
+io: concurrency, C99 implementation, 64bit clean exceptions, embeddable.
+io: